Package com.xebialabs.deployit.plugin.api.rules

## Class StepPostConstructContext

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.rules.StepPostConstructContext

-     public class StepPostConstructContext
      extends java.lang.Object

  Context used for post constructing a `Step`. This way a step can receive additional information that can influence it's behavior. A method that is annotated with `RulePostConstruct` must accept a single argument of type `StepPostConstructContext`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepPostConstructContext​(Scope scope, java.lang.Object scopedObject, DeployedApplication deployedApplication, Repository repository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Delta` | `getDelta()` |
    `Deltas` | `getDeltas()` |
    `DeployedApplication` | `getDeployedApplication()` |
    `Repository` | `getRepository()` |
    `Scope` | `getScope()` |
    `DeltaSpecification` | `getSpecification()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepPostConstructContext

          public StepPostConstructContext​(Scope scope,
                                          java.lang.Object scopedObject,
                                          DeployedApplication deployedApplication,
                                          Repository repository)

  - ### Method Detail

    - #### getScope

          public Scope getScope()

      Returns:
        scope where step will be executed.

    - #### getDelta

          public Delta getDelta()

      Returns:
        delta or null if scope is not `Scope.DEPLOYED`

    - #### getDeltas

          public Deltas getDeltas()

      Returns:
        deltas or null if scope is not `Scope.PLAN`

    - #### getSpecification

          public DeltaSpecification getSpecification()

      Returns:
        specification or null if scope is not `Scope.PRE_PLAN` or `Scope.POST_PLAN`

    - #### getDeployedApplication

          public DeployedApplication getDeployedApplication()

      Returns:
        application that is being deployed

    - #### getRepository

          public Repository getRepository()

      Returns:
        repository